Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.io
Class HttpResponseWriter

    java.lang.Object
      org.apache.http.impl.io.AbstractMessageWriter<HttpResponse>
          org.apache.http.impl.io.HttpResponseWriter

All Implemented Interfaces:
  HttpMessageWriter<HttpResponse>

Deprecated. (4.3) use `DefaultHttpResponseWriter`

    @Deprecated
    public class HttpResponseWriter

extends AbstractMessageWriter<HttpResponse>

HTTP response writer that serializes its output to an instance of `SessionOutputBuffer`.

Since:
  4.0

Field Summary

Fields inherited from class org.apache.http.impl.io.AbstractMessageWriter
`lineBuf, lineFormatter, sessionBuffer`

Constructor Summary
`HttpResponseWriter(SessionOutputBuffer buffer, LineFormatter formatter, HttpParams params)` Deprecated.

Method Summary
`protected void` | `writeHeadLine(HttpResponse message)` Deprecated. Subclasses must override this method to write out the first header line based on the `HttpMessage` passed as a parameter.

Methods inherited from class org.apache.http.impl.io.AbstractMessageWriter
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpResponseWriter

    public HttpResponseWriter(SessionOutputBuffer buffer,
                              LineFormatter formatter,
                              HttpParams params)

  Deprecated.

Method Detail

### writeHeadLine

    protected void writeHeadLine(HttpResponse message)
                          throws IOException

  Deprecated.
  Description copied from class: `AbstractMessageWriter`
  Subclasses must override this method to write out the first header line based on the `HttpMessage` passed as a parameter.

  Specified by:
    `writeHeadLine` in class `AbstractMessageWriter<HttpResponse>`
  Parameters:
    `message` - the message whose first line is to be written out.
  Throws:
    `IOException` - in case of an I/O error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.